View Issue Details

IDProjectCategoryView StatusLast Update
0002738SymmetricDS ProImprovementpublic2016-12-30 08:11
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.1 
Target Version3.8.12Fixed in Version3.8.12 
Summary0002738: Installer should archive patches when performing an upgrade
DescriptionThe changes that go into patches should be committed and therefore part of future releases. However, right now the installer leaves patches in place and this often causes things like "NoSuchMethodError" with incompatible classes. When the upgrader runs, it should archive whatever is in the patches directory.
TagsNo tags attached.

Activities

admin

2016-09-30 10:28

administrator   ~0000871

Re-opening. Was accidentally closed when performing the release.

Issue History

Date Modified Username Field Change
2016-08-17 22:14 mmichalek New Issue
2016-08-17 22:14 mmichalek Status new => assigned
2016-08-17 22:14 mmichalek Assigned To => mmichalek
2016-09-29 21:01 admin Status assigned => closed
2016-09-30 10:28 admin Status closed => new
2016-09-30 10:28 admin Note Added: 0000871
2016-12-08 08:58 mmichalek Status new => resolved
2016-12-08 08:58 mmichalek Resolution open => fixed
2016-12-08 08:58 mmichalek Fixed in Version => 3.8.12
2016-12-08 08:58 mmichalek Target Version 3.8.2 => 3.8.12
2016-12-20 08:28 chenson Project SymmetricDS => SymmetricDS Pro
2016-12-30 08:11 chenson Status resolved => closed